# SELTech Page Speed

## Description

This module adds functionality to test different sites using PageSpeed API. After successful verification, the
results are rendered on the page as well as email addresses are sent with them to the specified email addresses.
A logic has been created for rendering the tested domains and email addresses in the Drupal admin area.
All routes from the routing file can be viewed.

## Installation

1. Copy the `page_speed_for_seo` folder to the `modules/custom` directory of your Drupal site.
2. You must also add the API key from Google to be able to send requests, in the submit handler of the form variable
   $api_key.
3. Activate the module through the Drupal admin interface or using Drush:

- drush en page_speed_for_seo

## Explanation:

The module sends emails with results to the email entered by the user, for example if you use the Symfony mailer module
you must also add the configurations in the settings file, for example:

- // mailsender command for the "Symfony Mailer" module for drupal 10
- $settings['mailer_sendmail_commands'] = [
  '/usr/sbin/sendmail -t',
  '/usr/sbin/sendmail -bs',
  ];

