<?php

namespace Drupal\page_speed_for_seo\Controller;

use Drupal\Core\Controller\ControllerBase;

class SeltechPageSpeedController extends ControllerBase
{

 /**
   * Returns a page with the custom form submissions.
   */
  public function adminPageAction(): array
  {

    // Query the database to get the form submissions.
    $query = \Drupal::database()->select('page_speed_for_seo_submissions', 'cfs');
    $query->fields('cfs', ['id', 'email', 'url']);
    $results = $query->execute()->fetchAll();

    // Build the table header.
    $header = [
      'id' => $this->t('ID'),
      'email' => $this->t('Email'),
      'url' => $this->t('URL'),
    ];

    // Build the rows.
    $rows = [];
    foreach ($results as $result) {
      $rows[] = [
        'id' => $result->id,
        'email' => $result->email,
        'url' => $result->url,
      ];
    }

    // Render the table.
    return [
      '#type' => 'table',
      '#header' => $header,
      '#rows' => $rows,
      '#empty' => $this->t('No submissions found.'),
    ];

  }
}
